libdvbv5: dvb_desc_terrestrial_delivery Struct Reference

libdvbv5 1.26.0 Library to work with Digital TV devices on Linux

Data Fields
dvb_desc_terrestrial_delivery Struct Reference
Parsers for several MPEG-TS descriptors

Structure containing the DVB-T terrestrial delivery system descriptor. More...

`#include <desc_terrestrial_delivery.h>`

## Data Fields
uint8_t | type
uint8_t | length
struct dvb_desc * | next
uint32_t | centre_frequency
uint8_t | reserved_future_use1:2
uint8_t | mpe_fec_indicator:1
uint8_t | time_slice_indicator:1
uint8_t | priority:1
uint8_t | bandwidth:3
uint8_t | code_rate_hp_stream:3
uint8_t | hierarchy_information:3
uint8_t | constellation:2
uint8_t | other_frequency_flag:1
uint8_t | transmission_mode:2
uint8_t | guard_interval:2
uint8_t | code_rate_lp_stream:3
uint32_t | reserved_future_use2

## Detailed Description

Structure containing the DVB-T terrestrial delivery system descriptor.

Parameters

  type | descriptor tag
  length | descriptor length
  next | pointer to struct dvb_desc
  centre_frequency | centre frequency, multiplied by 10 Hz
  bandwidth | bandwidth
  priority | priority (0 = LP, 1 = HP)
  time_slice_indicator | time slicing indicator
  mpe_fec_indicator | mpe fec indicator. If 1, MPE-FEC is not used.
  constellation | constellation
  hierarchy_information | hierarchy information
  code_rate_hp_stream | code rate hp stream
  code_rate_lp_stream | code rate lp stream
  guard_interval | guard interval
  transmission_mode | transmission mode
  other_frequency_flag | other frequency flag

Definition at line 65 of file desc_terrestrial_delivery.h.

## Field Documentation

## ◆ bandwidth

uint8_t dvb_desc_terrestrial_delivery::bandwidth

Definition at line 75 of file desc_terrestrial_delivery.h.

## ◆ centre_frequency

uint32_t dvb_desc_terrestrial_delivery::centre_frequency

Definition at line 70 of file desc_terrestrial_delivery.h.

## ◆ code_rate_hp_stream

uint8_t dvb_desc_terrestrial_delivery::code_rate_hp_stream

Definition at line 76 of file desc_terrestrial_delivery.h.

## ◆ code_rate_lp_stream

uint8_t dvb_desc_terrestrial_delivery::code_rate_lp_stream

Definition at line 82 of file desc_terrestrial_delivery.h.

## ◆ constellation

uint8_t dvb_desc_terrestrial_delivery::constellation

Definition at line 78 of file desc_terrestrial_delivery.h.

## ◆ guard_interval

uint8_t dvb_desc_terrestrial_delivery::guard_interval

Definition at line 81 of file desc_terrestrial_delivery.h.

## ◆ hierarchy_information

uint8_t dvb_desc_terrestrial_delivery::hierarchy_information

Definition at line 77 of file desc_terrestrial_delivery.h.

## ◆ length

uint8_t dvb_desc_terrestrial_delivery::length

Definition at line 67 of file desc_terrestrial_delivery.h.

## ◆ mpe_fec_indicator

uint8_t dvb_desc_terrestrial_delivery::mpe_fec_indicator

Definition at line 72 of file desc_terrestrial_delivery.h.

## ◆ next

struct dvb_desc* dvb_desc_terrestrial_delivery::next

Definition at line 68 of file desc_terrestrial_delivery.h.

## ◆ other_frequency_flag

uint8_t dvb_desc_terrestrial_delivery::other_frequency_flag

Definition at line 79 of file desc_terrestrial_delivery.h.

## ◆ priority

uint8_t dvb_desc_terrestrial_delivery::priority

Definition at line 74 of file desc_terrestrial_delivery.h.

## ◆ reserved_future_use1

uint8_t dvb_desc_terrestrial_delivery::reserved_future_use1

Definition at line 71 of file desc_terrestrial_delivery.h.

## ◆ reserved_future_use2

uint32_t dvb_desc_terrestrial_delivery::reserved_future_use2

Definition at line 83 of file desc_terrestrial_delivery.h.

## ◆ time_slice_indicator

uint8_t dvb_desc_terrestrial_delivery::time_slice_indicator

Definition at line 73 of file desc_terrestrial_delivery.h.

## ◆ transmission_mode

uint8_t dvb_desc_terrestrial_delivery::transmission_mode

Definition at line 80 of file desc_terrestrial_delivery.h.

## ◆ type

uint8_t dvb_desc_terrestrial_delivery::type

Definition at line 66 of file desc_terrestrial_delivery.h.

The documentation for this struct was generated from the following file:

- lib/include/libdvbv5/desc_terrestrial_delivery.h